Skip to main content
`Ctrl`+`K`

# DMAdaptorSetOptionsPrefix

Sets the prefix used for searching for all `DMAdaptor` options in the database.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorSetOptionsPrefix(DMAdaptor adaptor, const char prefix[])

Logically Collective

## Input Parameters

- adaptor - the `DMAdaptor`

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

SNES: Nonlinear Solvers, `DMAdaptor`, `SNESSetOptionsPrefix()`, `DMAdaptorSetFromOptions()`

## Level

advanced

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages